[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TDBLogNotifyEvent

Event handler prototype for handling events

## Declaration

Source position: sqldb.pp line 57

`type TDBLogNotifyEvent = procedure(`
`Sender: TSQLConnection;`
`EventType: TDBEventType;`
`const Msg: string`
`) of object;`

## Arguments

`Sender` |  | TSQLConnection instance that sent the event.
`EventType` |  | Event type
`Msg` |  | Event message. Actual content depends on the type of message.

## Description

TDBLogNotifyEvent is the prototype for the TSQLConnection.OnLog event handler and for the global GlobalDBLogHook event handling hook. Sender will contain the TSQLConnection instance that caused the event, EventType will contain the event type, and Msg will contain the actual message: the content depends on the type of the message.

## See also

TSQLConnection.OnLog |  | Event handler for logging events
GlobalDBLogHook |  | Global logging hook

Documentation generated on: Feb 26 2014